mysql_get_server_info(3)

  Name
mysql_get_server_info - Returns server version as string

  Synopsis

        #include <mysql.h>

        const char * mysql_get_server_info(MYSQL * mysql);

  Description
Returns the server version or NULL on failure.

  Parameter

•   mysql - a connection identifier, which was previously allocated by mysql_init(3) and connected by mysql_real_connect(3).

  Notes
To obtain the numeric server version please use mysql_get_server_version(3).

  Return value
Returns the server version as zero terminated string or NULLon failure.

  See also

•   mysql_get_server_info(3)

•   mysql_get_client_info(3)